Subject: [os2genau_digest] No. 1739
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 5 Nov 2008 00:00:40 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Tuesday 04 November 2008
 Number  1739
**************************************************

Subjects for today
 
1  Re:  Attachment handling in Thunderbird : Peter Moylan <peter at pmoylan dot org>
2  Re:  Attachment handling in Thunderbird : Dennis Nolan <dennis at jeg-og dot com>
3  Re:  Attachment handling in Thunderbird : Peter Moylan <peter at pmoylan dot org>
4  Re:  Attachment handling in Thunderbird : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Tue, 04 Nov 2008 01:08:26 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Attachment handling in Thunderbird

Peter Moylan wrote:
> I've suddenly been struck by the same problem that someone mentioned 
> on this list a few weeks ago. No change in version, I just copied a 
> working Thunderbird 2.0.0.14 from my old computer to my new computer. 
> (That suggests that the bug is something to do with the profiles, 
> rather than with the code.) The "Download Actions" listbox is empty, 
> and there is no way to add new actions.
>
> Did anyone ever find a fix for this?
>
In partial answer to my own question:

I've partially solved this for Firefox. I browsed to
               file://D:/accounts/tax/2008/tax0708.doc
(which happens to be a document that I created myself in OpenOffice), 
and then answered the "open with" question by navigating to soffice.exe 
in the appropriate directory. I also specified "also do this in future 
for *.doc". (That wasn't precisely the option - the dialogue in question 
has now disappeared from my screen - but I hope you'll work out what I 
mean.)

That's solved the *.doc problem for Firefox. It hasn't solved anything 
for Thunderbird.
 
I did discover that if you double-click on the "Extensions" title in the 
"Download Actions" section then you get a dialogue that lets you specify 
how to handle files with this extension. That, however, turns out to be 
useless, because it only applies to the currently selected extension. If 
the listbox is empty, as it is in our case, there's no extension to work 
with.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 04 Nov 2008 06:57:14 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Attachment handling in Thunderbird

Try creating an dummy file with the required extension and see if you 
can then set the dialogue.

Regards

Dennis.

Peter Moylan wrote:
> Peter Moylan wrote:
>> I've suddenly been struck by the same problem that someone mentioned 
>> on this list a few weeks ago. No change in version, I just copied a 
>> working Thunderbird 2.0.0.14 from my old computer to my new computer. 
>> (That suggests that the bug is something to do with the profiles, 
>> rather than with the code.) The "Download Actions" listbox is empty, 
>> and there is no way to add new actions.
>>
>> Did anyone ever find a fix for this?
>>
> In partial answer to my own question:
>
> I've partially solved this for Firefox. I browsed to
>               file://D:/accounts/tax/2008/tax0708.doc
> (which happens to be a document that I created myself in OpenOffice), 
> and then answered the "open with" question by navigating to 
> soffice.exe in the appropriate directory. I also specified "also do 
> this in future for *.doc". (That wasn't precisely the option - the 
> dialogue in question has now disappeared from my screen - but I hope 
> you'll work out what I mean.)
>
> That's solved the *.doc problem for Firefox. It hasn't solved anything 
> for Thunderbird.
>
> I did discover that if you double-click on the "Extensions" title in 
> the "Download Actions" section then you get a dialogue that lets you 
> specify how to handle files with this extension. That, however, turns 
> out to be useless, because it only applies to the currently selected 
> extension. If the listbox is empty, as it is in our case, there's no 
> extension to work with.
>
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 04 Nov 2008 15:37:59 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Attachment handling in Thunderbird

Peter Moylan wrote:
> Peter Moylan wrote:
>> I've suddenly been struck by the same problem that someone mentioned 
>> on this list a few weeks ago. No change in version, I just copied a 
>> working Thunderbird 2.0.0.14 from my old computer to my new computer. 
>> (That suggests that the bug is something to do with the profiles, 
>> rather than with the code.) The "Download Actions" listbox is empty, 
>> and there is no way to add new actions.
>>
>> Did anyone ever find a fix for this?
>>
> In partial answer to my own question:
>
> I've partially solved this for Firefox. I browsed to
>               file://D:/accounts/tax/2008/tax0708.doc
> (which happens to be a document that I created myself in OpenOffice), 
> and then answered the "open with" question by navigating to 
> soffice.exe in the appropriate directory. I also specified "also do 
> this in future for *.doc". (That wasn't precisely the option - the 
> dialogue in question has now disappeared from my screen - but I hope 
> you'll work out what I mean.)
>
> That's solved the *.doc problem for Firefox.
Added later. I am now seriously screwed. The above solution was for 
OpenOffice 1.1.4, which does not permit printing. I have now upgraded to 
OpenOffice 2.something, which does permit printing. Unfortunately, there 
is no way to point Thunderbird to the newer version. It still insists on 
opening version 1.1.4, therefore there is no way to print a *.doc 
attachment.

Something is seriously screwy. This used to happen only in the Windows 
world. Now that Innotek has created a Windows emulation inside OS/2, we 
OS/2 users have been sucked into the horrors of the Windows world.

This is starting to look like a campaign to force me into purchasing 
M$Office. Which I won't ever do, because it won't run in the OS systems 
of my choice.

My "Download Actions" box remained empty.

Subsequently, following a suggestion I found when I searched Bugzilla 
for this bug, I deleted mimetypes.rdf from my profile. That made the 
problem worse. Now, when I browse to a file://something.doc URL, I am no 
longer asked which application to open it with. I am simply told that it 
is a binary file, and asked where I want to save it.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Tue, 04 Nov 2008 15:40:49 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Attachment handling in Thunderbird

Dennis Nolan wrote:
> Try creating an dummy file with the required extension and see if you 
> can then set the dialogue.
That's what I did; and it worked for Firefox but not for Thunderbird. 
Now, as noted in another message, it doesn't work for Firefox either.

Peter
>
> Peter Moylan wrote:
>> Peter Moylan wrote:
>>> I've suddenly been struck by the same problem that someone mentioned 
>>> on this list a few weeks ago. No change in version, I just copied a 
>>> working Thunderbird 2.0.0.14 from my old computer to my new 
>>> computer. (That suggests that the bug is something to do with the 
>>> profiles, rather than with the code.) The "Download Actions" listbox 
>>> is empty, and there is no way to add new actions.
>>>
>>> Did anyone ever find a fix for this?
>>>
>> In partial answer to my own question:
>>
>> I've partially solved this for Firefox. I browsed to
>>               file://D:/accounts/tax/2008/tax0708.doc
>> (which happens to be a document that I created myself in OpenOffice), 
>> and then answered the "open with" question by navigating to 
>> soffice.exe in the appropriate directory. I also specified "also do 
>> this in future for *.doc". (That wasn't precisely the option - the 
>> dialogue in question has now disappeared from my screen - but I hope 
>> you'll work out what I mean.)
>>
>> That's solved the *.doc problem for Firefox. It hasn't solved 
>> anything for Thunderbird.
>>
>> I did discover that if you double-click on the "Extensions" title in 
>> the "Download Actions" section then you get a dialogue that lets you 
>> specify how to handle files with this extension. That, however, turns 
>> out to be useless, because it only applies to the currently selected 
>> extension. If the listbox is empty, as it is in our case, there's no 
>> extension to work with.
>>
 
>
> 

>

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------